Data Structures | Functions | Variables

# intro_gui.cpp File Reference

The main menu GUI. More...

`#include "stdafx.h"`
`#include "error.h"`
`#include "gui.h"`
`#include "window_gui.h"`
`#include "textbuf_gui.h"`
`#include "network/network.h"`
`#include "genworld.h"`
`#include "network/network_gui.h"`
`#include "network/network_content.h"`
`#include "landscape_type.h"`
`#include "strings_func.h"`
`#include "fios.h"`
`#include "ai/ai_gui.hpp"`
`#include "gfx_func.h"`
`#include "core/geometry_func.hpp"`
`#include "language.h"`
`#include "rev.h"`
`#include "widgets/intro_widget.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Data Structures
struct | SelectGameWindow
## Functions
void | ShowSelectGameWindow ()
static void | AskExitGameCallback (Window *w, bool confirmed)
void | AskExitGame ()
static void | AskExitToGameMenuCallback (Window *w, bool confirmed)
void | AskExitToGameMenu ()
## Variables
static const NWidgetPart | _nested_select_game_widgets []
static const WindowDesc | _select_game_desc (WDP_CENTER, 0, 0, WC_SELECT_GAME, WC_NONE, 0, _nested_select_game_widgets, lengthof(_nested_select_game_widgets))

## Detailed Description

The main menu GUI.

Definition in file intro_gui.cpp.